Bug 1544777 (CVE-2018-6876) - CVE-2018-6876 ImageMagick: Stack-based buffer under-read in ole/oleprop.cpp
Summary: CVE-2018-6876 ImageMagick: Stack-based buffer under-read in ole/oleprop.cpp
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-6876
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1541867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-13 13:46 UTC by Andrej Nemec
Modified: 2019-09-29 14:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:39:51 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-02-13 13:46:24 UTC
The OLEProperty class in ole/oleprop.cpp in libfpx 1.3.1-10, as used in ImageMagick 7.0.7-22 Q16 and other products, allows attackers to cause a denial of service (stack-based buffer under-read) via a crafted bmp image.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/973

Comment 1 Andrej Nemec 2018-02-13 14:03:12 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1541867]


Note You need to log in before you can comment on or make changes to this bug.